#ifndef BLEAF_HH
#define BLEAF_HH

#include "bbox.hh"

class BLeaf: public BBox {
private:
  Vertex &a, &b, &c, &d;

public:
  BLeaf (Vertex& ia, Vertex& ib, Vertex& ic, Vertex& id): a(ia), b(ib), c(ic), d(id) {}
  virtual void computeBounds();

protected:
  virtual void intersect (Vertex& p, const Vector& pInf, const Vector& pSup);
};

#else

class BLeaf;

#endif
