/*
 * Flag animation sample, to render first run:
 * cloth -i flag.cl -o flag.inc -r flag.raw -s 10000
 *
 * Then uncomment the "read_file" line and run:
 * megapov flag.ini
 */
global_settings {
  step 0.2
  viscosity 0.01
  wind 3*y
}

cloth {
  x_size 15
  y_size 15
  dist 2
  hnoise 0.01
  vnoise 0.01
  shear 2
  damping 0.001
  position { 14.5*z, 30*y, -29*z }
  //read_file "flag.raw"
  
  attach { 0, 0, 14.5*z }
  attach { 0, 1, -14.5*z }
}
