#version unofficial MegaPov 0.6;

global_settings {
  assumed_gamma 1.0
}

camera {
  location -100*z+25*y
  look_at 0//-25*y
  angle 40
  rotate -90*y
}

light_source {
  <1000, 1000, -1000>
  rgb 1
}
light_source {
  <-1000, 1000, -1000>
  rgb 0.25
  shadowless
}

object {
  #include "flag.inc"
  uv_mapping
  pigment {
    gradient x
    color_map {
      [ 0.33 color rgb <0, 0, 1> ]
      [ 0.33 color rgb 1 ]
      [ 0.66 color rgb 1 ]
      [ 0.66 color rgb <1, 0, 0> ]
    }
  }
}

union {
  cone { -200*y, 1.5, 20*y, 1 }
  sphere { 0, 2 scale <1, 0.5, 1> translate 20*y }
  pigment { color rgb 1 }
  translate -1.5*z
}