#ifndef BISON_PARSER_HH
# define BISON_PARSER_HH

#ifndef YYSTYPE
typedef union {
  Vector* vec;
  double dbl;
  char* str;
  bool boo;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	NUMBER	257
# define	STRING	258
# define	COMMA	259
# define	LCURL	260
# define	RCURL	261
# define	LBRACKET	262
# define	RBRACKET	263
# define	LPAREN	264
# define	RPAREN	265
# define	GLOBAL_SETTINGS	266
# define	STEP	267
# define	OUTPUT	268
# define	MESH	269
# define	MESH2	270
# define	CYLINDERS	271
# define	WIND	272
# define	VISCOSITY	273
# define	GRAVITY	274
# define	CLOTH	275
# define	XSIZE	276
# define	YSIZE	277
# define	DIST	278
# define	STRENGTH	279
# define	SHEAR	280
# define	STIFF	281
# define	WEIGHT	282
# define	HNOISE	283
# define	VNOISE	284
# define	ELONGATION	285
# define	DAMPING	286
# define	READ_FILE	287
# define	POSITION	288
# define	INTERSECTIONS	289
# define	TRANSLATE	290
# define	ROTATE	291
# define	SCALE	292
# define	ATTACH	293
# define	GROUND	294
# define	BOX	295
# define	CYLINDER	296
# define	SPHERE	297
# define	HF	298
# define	TGA	299
# define	ON	300
# define	OFF	301
# define	X_VECTOR	302
# define	Y_VECTOR	303
# define	Z_VECTOR	304
# define	PLUS	305
# define	MINUS	306
# define	TIMES	307
# define	OVER	308
# define	NEG	309


extern YYSTYPE yylval;

#endif /* not BISON_PARSER_HH */
