#ifndef SPHERE_HH
#define SPHERE_HH

#include "object.hh"
#include "vector.hh"

class Sphere: public Object {
private:
  Vector center;
  const double r, r2;
public:
  Sphere (const Vector& icenter, double rad, double ifriction = FRICTION);
  virtual const bool inside (Vector& point, const Vector& old) const;
  virtual const void adjust (Vector& force, const Vector& point) const;
  virtual const bool isInside (const Vector& point) const;
  virtual ~Sphere() {}
};

#else

class Sphere;

#endif
