#include "common.hh"
#include "bbox.hh"

void BBox::intersect (Vertex& p) {
  Vector pInf = p.location(), pSup = p.newl();
  if (pInf.x() > pSup.x()) { pInf.x (pSup.x()); pSup.x (p.location().x()); }
  if (pInf.y() > pSup.y()) { pInf.y (pSup.y()); pSup.y (p.location().y()); }
  if (pInf.z() > pSup.z()) { pInf.z (pSup.z()); pSup.z (p.location().z()); }
  intersect (p, pInf, pSup);
}
