#ifndef BBOX_HH
#define BBOX_HH

#include "vector.hh"
#include "vertex.hh"

class BBox {
protected:
  Vector inf, sup;

public:
  BBox() {};
  virtual void computeBounds()=0;
  void intersect (Vertex& p);
  virtual ~BBox() {};

protected:
  virtual void intersect (Vertex& p, const Vector& pInf, const Vector& pSup)=0;

  friend class BNode;
};

#else

class BBox;

#endif
