#ifndef COMMON_HH
#define COMMON_HH

#define EPSILON 0.000001
#define PI 3.1415926535897932384626
#define TWO_PI_3 2.0943951023931954923084

// default friction
#define FRICTION 0.5

#include <list>
class Cloth;
class Object;
class Vector;

extern std::list<Object*> world;
extern Cloth* cloth;
extern double step;
extern Vector wind;
extern Vector gravity;
extern double visc;
extern int nIntersectChecks;
extern int nIntersectFound;

typedef enum { mesh, mesh2, cylinders } OutputType;

extern OutputType output_type;

#define COMPUTE_INTERSECTIONS

#endif
