#include "object.hh"

// normal must have a length of 1
const void Object::computeFriction (Vector& force, const Vector& normal) const {
  double tmp = force.dot (normal);
  if (tmp < 0) {
    Vector n = tmp*normal;
    Vector t = force-n;

    double l = -friction*tmp;
    if ((t.length() < EPSILON) || (l > t.length())) {
      /*if ((friction < EPSILON) && (force.length() > 10)) {
        cerr.precision(10);
        cerr << endl
             << "friction: " << friction << endl
             << "normal: " << normal << endl
             << "force : " << force << endl
             << "normal component: " << tmp << endl
             << "tgtial component: " << t.length() << endl
             << "friction force  : " << l << endl;
        exit(1);
      }*/
      force = O;
    } else
      force = (1 - l/t.length())*t;
  }
}
